function [I,success] = Laplace_Beltrami_proof(a,lambda,nu)

success=0;

N = length(a) - 1;

inu=intval(nu);
ilambda=intval(lambda);

zerror=1e-15;
b=zeros(2*N+3,1);
b(1)=1;
for k=1:N+1
    b(2*k+1)=-2*zetaerrorj(2*k,zerror)/2^(2*k);
end

DF=DF_problem1(lambda,N,a,b(1:N+1));
AN=DF\eye(N+1);

ib=intval(zeros(2*N+3,1));
ib(1)=1;
for k=1:N+1
    ib(2*k+1)=-2*intzetaerrorj(2*k,zerror)/2^(2*k);
end

ia = intval(a);
iDF=intDF_problem1(ilambda,N,ia,b);

a_ext=[ia;intval(zeros(N+2,1))];
Ja = ia.*(0:N)';

F_ext=intF_problem1(ilambda,2*N+2,a_ext,ib);

Y0=norma(N,AN*F_ext(1:N+1),inu)+sum(1./(((N+1:2*N+2)').^2).*abs(F_ext(N+2:2*N+3)).*(inu.^(N+1:2*N+2)'))+4*norma(N,Ja,inu)/(3*(2*N+3)^2)*(inu/2)^(N+3)*1/(1-inu/2);
display(['Y0 = ',num2str(sup(Y0))])
Y0=intval(sup(Y0));

Z0=mnorma(N,eye(N+1)-AN*iDF,inu);
display(['Z0 = ',num2str(sup(Z0))])
Z0=intval(sup(Z0));

if N < sup(1/log(inu)+1),
    display('Problem with N and nu')
    return    
end

C1 = 4*inu^2/(3*(4-inu^2));
C2 = 16*inu^2/(3*(4-inu^2)^2);
Z1 = ((N+1)/(inu^(N+1)))*norma(N,AN(:,2),inu) + C1/(N+1) + C2/(N+1)^2 + (inu^2/((N+1)^2))*(abs(ilambda)+2*norma(N,ia,inu));
display(['Z1 = ',num2str(sup(Z1))])
Z1=intval(sup(Z1));

Z2=max(sup(2*inu^2*mnorma(N,AN,inu)),sup(2*inu^2/((N+1)^2)));
display(['Z2 = ',num2str(sup(Z2))])
Z2=intval(sup(Z2));

if 1-Z0-Z1>0 
  if (1-Z0-Z1)^2-4*Y0*Z2 > 0  
    rmin=sup(((1-Z0-Z1) - sqrt((1-Z0-Z1)^2-4*Y0*Z2))/(2*Z2));
    rmax=inf(((1-Z0-Z1) + sqrt((1-Z0-Z1)^2-4*Y0*Z2))/(2*Z2));
    if rmin<rmax 
      I=[rmin rmax];
      display('success')
      success=1;
    else
      display('failure: rmin > rmax')
      I=[];
    end
  else
    display('failure: discriminant is negative')  
    I=[];
  end
else
    display('failure: linear term is positive')
    I=[];
end

end