function []=plot_solutions_problem1(a)

figure

N=length(a)-1;

mesh_size_in_theta=.005;
delta=.005; 

% Upper half of the sphere (above the x-y plane)

phi=0-delta:mesh_size_in_theta:pi/2+delta;
n=length(phi);

u_theta1=zeros(1,n);

for k=1:n
    u_theta1(k) = sum(a'.*((2/pi).^(0:N)).*(phi(k).^(0:N)));
end

theta=0:0.01:2*pi;
m=length(theta);

x=cos(theta)'*sin(phi);
y=sin(theta)'*sin(phi);
z=ones(1,m)'*cos(phi);

u1=ones(1,m)'*u_theta1;

surf(x,y,z,u1,'EdgeColor','none')%,'LineStyle','none','FaceLighting','phong');

hold on

% Lower half of the sphere (below the x-y plane)

phi=pi/2-delta:mesh_size_in_theta:pi+delta;
n=length(phi);

u_theta2=zeros(1,n);

for k=1:n
    u_theta2(k) = sum(a'.*((2/pi).^(0:N)).*((pi-phi(k)).^(0:N)));
end

theta=0:0.01:2*pi;
m=length(theta);

x=cos(theta)'*sin(phi);
y=sin(theta)'*sin(phi);
z=ones(1,m)'*cos(phi);

u2=ones(1,m)'*u_theta2;

surf(x,y,z,u2,'EdgeColor','none')%,'LineStyle','none','FaceLighting','phong');


% We include the axes
set(gca,'FontSize',20)

xlabel('$$x$$','interpreter','latex','FontSize',25)
ylabel('$$y$$','interpreter','latex','FontSize',25)
zlabel('$$z$$','interpreter','latex','FontSize',25)

view(-55, 30);

shading interp
colormap(jet);
colorbar

end
